"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AppApi = void 0;
const ElectronUtils_1 = require("../utils/ElectronUtils");
const Channel_1 = require("./Channel");
class AppApi {
    static async setConfig(key, value) {
        var _a;
        await ((_a = ElectronUtils_1.ElectronUtils.getAPI()) === null || _a === void 0 ? void 0 : _a.invoke(Channel_1.Channel.APP, this.SET_CONFIG, key, value));
    }
    static async getConfig(key, defaultValue) {
        var _a;
        const value = await ((_a = ElectronUtils_1.ElectronUtils.getAPI()) === null || _a === void 0 ? void 0 : _a.invoke(Channel_1.Channel.APP, this.GET_CONFIG, key));
        if (value === null || value === undefined) {
            return defaultValue;
        }
        if (typeof defaultValue == "boolean") {
            return value === "true";
        }
        if (typeof defaultValue == "number") {
            return Number(value);
        }
        return value;
    }
    static openAddWidgetWindow() {
        var _a;
        (_a = ElectronUtils_1.ElectronUtils.getAPI()) === null || _a === void 0 ? void 0 : _a.invoke(Channel_1.Channel.APP, this.OPEN_ADD_WIDGET_WINDOW);
    }
    /**
     * 获取应用版本号，格式为 x.y.z
     */
    static async getVersion() {
        var _a;
        return (_a = ElectronUtils_1.ElectronUtils.getAPI()) === null || _a === void 0 ? void 0 : _a.invoke(Channel_1.Channel.APP, this.GET_VERSION);
    }
    static openSettingWindow() {
        var _a;
        (_a = ElectronUtils_1.ElectronUtils.getAPI()) === null || _a === void 0 ? void 0 : _a.invoke(Channel_1.Channel.APP, this.OPEN_SETTING_WINDOW);
    }
}
exports.AppApi = AppApi;
AppApi.SET_CONFIG = "SET_CONFIG";
AppApi.GET_CONFIG = "GET_CONFIG";
AppApi.OPEN_ADD_WIDGET_WINDOW = "open-add-widget-window";
AppApi.OPEN_SETTING_WINDOW = "open-setting-window";
AppApi.GET_VERSION = "get-version";
