"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GlobalShortcutApi = void 0;
const ElectronUtils_1 = require("../utils/ElectronUtils");
const Channel_1 = require("./Channel");
class GlobalShortcutApi {
    /**
     * 注册全局快捷键
     */
    static async register(key) {
        var _a;
        return await ((_a = ElectronUtils_1.ElectronUtils.getAPI()) === null || _a === void 0 ? void 0 : _a.invoke(Channel_1.Channel.SHORTCUT, this.REGISTER, key));
    }
    /**
     * 取消注册全局快捷键
     */
    static async unregister(key) {
        var _a;
        return await ((_a = ElectronUtils_1.ElectronUtils.getAPI()) === null || _a === void 0 ? void 0 : _a.invoke(Channel_1.Channel.SHORTCUT, this.UNREGISTER, key));
    }
    static async isRegistered(key) {
        var _a;
        return await ((_a = ElectronUtils_1.ElectronUtils.getAPI()) === null || _a === void 0 ? void 0 : _a.invoke(Channel_1.Channel.SHORTCUT, this.IS_REGISTERED, key));
    }
}
exports.GlobalShortcutApi = GlobalShortcutApi;
GlobalShortcutApi.REGISTER = "register";
GlobalShortcutApi.IS_REGISTERED = "is-registered";
GlobalShortcutApi.UNREGISTER = "unregister";
