"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UrlUtils = void 0;
class UrlUtils {
    static getWidgetUrl(widgetUrl, widgetPackage, widgetParams) {
        let url = "";
        if (widgetUrl.startsWith("http")) {
            url = widgetUrl;
        }
        else {
            url = widgetPackage.getIndexUrl() + widgetUrl;
        }
        if (url.includes("?")) {
            return url + "&" + widgetParams.toUrlParams().toString();
        }
        else {
            return url + "?" + widgetParams.toUrlParams().toString();
        }
    }
    static getWidgetPackageIndexUrl(url, entry, hash) {
        const arr = [url];
        if (url.startsWith("http")) {
            if (hash) {
                arr.push(url.endsWith("/") ? "#" : "/#");
            }
        }
        else {
            arr.push(entry.startsWith("/") ? entry : `/${entry}`);
            if (hash) {
                arr.push(url.endsWith("#") ? "" : "#");
            }
        }
        return arr.join("");
    }
}
exports.UrlUtils = UrlUtils;
