import { AppNotification, NotificationType } from "../model/AppNotification";
type NotificationCallback = (type: NotificationType, message: string, duration: number) => void;
export declare class NotificationApi {
    /**
     * 来电
     * @param avatar    头像地址
     * @param audio     音频地址
     * @param title     标题文件
     * @param message   初始消息
     * @param lyric     歌词字符串
     */
    static call(avatar: string, audio: string, title: string, message: string, lyric: string): Promise<void>;
    static send(notification: AppNotification): Promise<any>;
    static reminder(title: string, message: string, icon: string, cancelButtonText: string, confirmButtonText: string, cancelBroadcast: string, confirmBroadcast: string, duration?: number): Promise<any>;
    static advanceCountdown(message: string, targetTime: string, title?: string): Promise<any>;
    static countdown(message: string, targetTime: string): Promise<void>;
    static success(message: string, duration?: number): Promise<void>;
    static error(message: string, duration?: number): Promise<void>;
    static warning(message: string, duration?: number): Promise<void>;
    static info(message: string, duration?: number): Promise<void>;
    /**
     * 隐藏通知
     */
    static hide(): Promise<void>;
    private static callback;
    static setDebugNotification(callback: NotificationCallback): void;
}
export {};
